xmobar(1)

NAME
xmobar - A configurable and extensible status bar for X11 desktops

SYNOPSIS
xmobar [OPTIONS] [CONFIG_FILE]

DESCRIPTION

xmobar is a minimalistic, text based, status bar. It was originally designed and implemented by Andrea Rossato to work with xmonad, but it's actually usable with any window-manager.

xmobar was inspired by the Ion3 (http://tuomov.iki.fi/software/) status bar, and supports similar features, like dynamic color management, output templates, and extensibility through plugins.

This page documents xmobar 0.16.

COMMAND LINE OPTIONS

xmobar can be either configured with a configuration file or with command line options. In the second case, the command line options will overwrite the corresponding options set in the configuration file. The configuration file is searched for in the following locations, in order:
    $XDG_CONFIG_HOME/xmobar/xmobarrc (default: ~/.config/xmobar/xmobarrc)
    ~/.xmobarrc
The first configuration file found will be used. See /usr/share/doc/xmobar/examples for sample configuration files.

Usage:

      xmobar -B white -a right -F blue -t '%LIPB%' -c '[Run Weather "LIPB" [] 36000]'

This is the list of command line options (the output of xmobar —help):

      Usage: xmobar [OPTION...] [FILE]
      Options:
        -h, -? --help This help
        -V --version Show version information
        -f font name --font=font name The font name
        -B bg color --bgcolor=bg color The background color. Default black
        -F fg color --fgcolor=fg color The foreground color. Default grey
        -o --top Place xmobar at the top of the screen
        -b --bottom Place xmobar at the bottom of the screen
        -a alignsep --alignsep=alignsep Separators for left, center and right text
                        alignment. Default: '}{'
        -s char --sepchar=char The character used to separate commands in
                        the output template. Default '%'
        -t template --template=template The output template
        -c commands --commands=commands The list of commands to be executed
        -C commands --add-commands=commands Add commands to be executed after those
                        of the config file
        -x screen --screen=screen On which X screen number to start
      Mail bug reports and suggestions to <xmobar@projects.haskell.org>

CONFIGURATION
For full details of the available configuration options, please refer to /usr/share/doc/xmobar/readme.md.gz.

AUTHOR

Andrea Rossato originally designed and implemented xmobar up to version 0.11.1. Since then, it is maintained by Jose Antonio Ortega Ruiz (http://hacks-galore.org/jao/). This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).

LICENSE

This software is released under a BSD-style license. See /usr/share/doc/xmobar/copyright for more details.

Copyright © 2007–2010 Andrea Rossato
Copyright © 2010–2014 Jose Antonio Ortega Ruiz